MDIOBUS_WRITE(9)

NAME
mdiobus_write - Convenience function for writing a given MII mgmt register

SYNOPSIS

int mdiobus_write(struct mii_bus * bus, int addr, u32 regnum, u16 val);

ARGUMENTS

bus
    the mii_bus struct

addr
    the phy address

regnum
    register number to write

val
    value to write to regnum

NOTE

MUST NOT be called from interrupt context, because the bus read/write functions may wait for an interrupt to conclude the operation.

COPYRIGHT